dudi {ade4} | R Documentation

## Duality Diagram

### Description

`as.dudi` is called by many functions (`dudi.pca`, `dudi.coa`, `dudi.acm`, ...) and not directly by the user. It creates duality diagrams.

`t.dudi` returns an object of class '`dudi`' where the rows are the columns and the columns are the rows of the initial `dudi`.

`is.dudi` returns TRUE if the object is of class `dudi`

`redo.dudi` computes again an analysis, eventually changing the number of kept axes. Used by other functions.

### Usage

    as.dudi(df, col.w, row.w, scannf, nf, call, type, tol = 1e-07,
        full = FALSE)
    ## S3 method for class 'dudi'
    print(x, ...)
    is.dudi(x)
    redo.dudi(dudi, newnf = 2)
    ## S3 method for class 'dudi'
    t(x)
    ## S3 method for class 'dudi'
    summary(object, ...)
    ## S3 method for class 'dudi'
    x[i,j]

### Arguments

`df` | a data frame with n rows and p columns
`col.w` | a numeric vector containing the row weights
`row.w` | a numeric vector containing the column weights
`scannf` | a logical value indicating whether the eigenvalues bar plot should be displayed
`nf` | if scannf FALSE, an integer indicating the number of kept axes
`call` | generally `match.call()`
`type` | a string of characters : the returned list will be of class `c(type, "dudi")`
`tol` | a tolerance threshold for null eigenvalues (a value less than tol times the first one is considered as null)
`full` | a logical value indicating whether all non null eigenvalues should be kept
`x, dudi, object` | objects of class `dudi`
`...` | further arguments passed to or from other methods
`newnf` | an integer indicating the number of kept axes
`i,j` | elements to extract (integer or empty): index of rows (i) and columns (j)

### Value

as.dudi and all the functions that use it return a list with the following components :

`tab` | a data frame with n rows and p columns
`cw` | column weights, a vector with n components
`lw` | row (lines) weights, a vector with p components
`eig` | eigenvalues, a vector with min(n,p) components
`nf` | integer, number of kept axes
`c1` | principal axes, data frame with p rows and nf columns
`l1` | principal components, data frame with n rows and nf columns
`co` | column coordinates, data frame with p rows and nf columns
`li` | row coordinates, data frame with n rows and nf columns
`call` | original call

### Author(s)

Daniel Chessel
Anne-Béatrice Dufour anne-beatrice.dufour@univ-lyon1.fr
Stéphane Dray stephane.dray@univ-lyon1.fr

### References

Escoufier, Y. (1987) The duality diagram : a means of better practical applications In Development in numerical ecology, Legendre, P. & Legendre, L. (Eds.) NATO advanced Institute, Serie G. Springer Verlag, Berlin, 139–156.

### Examples

    data(deug)
    dd1 <- dudi.pca(deug$tab, scannf = FALSE)
    dd1
    t(dd1)
    is.dudi(dd1)
    redo.dudi(dd1,3)
    summary(dd1)

[Package ade4 version 1.7-13 Index]